MozillaZine

Firefox-ESR 68.7 update check disable parameter

User Help for Mozilla Firefox
webmoebius
 
Posts: 244
Joined: January 21st, 2007, 12:52 pm

Post Posted June 15th, 2020, 7:34 pm

I was wondering if anyone knew what the ABOUT:CONFIG parameter is (perhaps of boolean value) to disable Firefox-ESR 68.7 update check nag notices. Thanks for any help on this.

dickvl

User avatar
 
Posts: 53110
Joined: July 18th, 2005, 3:25 am

Post Posted June 16th, 2020, 7:30 am

Why do you want to stay at Firefox 68.7.0 as that branch only receives minor security updates ?

Note that Firefox 68.9.0 is current for 68 ESR.
https://www.mozilla.org/security/known- ... oxESR.html

You would have to use a policies.json file to disable updating as there is no pref available apart form letting you decide whether to update.
https://github.com/mozilla/policy-templ ... /README.md

webmoebius
 
Posts: 244
Joined: January 21st, 2007, 12:52 pm

Post Posted June 16th, 2020, 6:17 pm

My preference is to use Firefox-ESR as opposed to the general consumer release, due to additional features present in ESR, and I'd prefer not to be constantly nagged about every available incremental update because I check Mozilla's public archives for new releases semi-regularly. I don't want to keep updating for every single little patch. It's that simple.

The POLICIES.JSON solution worked properly once I've created the DISTRIBUTION folder within the Firefox ESR program folder and then created the POLICIES.JSON file placed within that folder, using the appropriate parameters. Thank you.

therube

User avatar
 
Posts: 20406
Joined: March 10th, 2004, 9:59 pm
Location: Maryland USA

Post Posted June 22nd, 2020, 9:03 pm

(Heh. I had to check the dates of these posts.
dick is on 52 & web on 53. Me, you know where I am [I only wish I knew ;-)].

Anyhow, what was pointed to is ESR.
And what comes in ESR... (drum roll) ... security updates (mainly).

Now that fact that FF 78 ESR is nearly upon us is a different matter.
And if you didn't want to update to that still does not negate that fact that you should be using the newest [68] ESR that is available.)
Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.1.19) Gecko/20110420 SeaMonkey/2.0.14 Pinball CopyURL+ FetchTextURL FlashGot NoScript

4td8s
 
Posts: 686
Joined: June 24th, 2009, 1:07 pm

Post Posted June 23rd, 2020, 8:26 pm

webmoebius wrote:
The POLICIES.JSON solution worked properly once I've created the DISTRIBUTION folder within the Firefox ESR program folder and then created the POLICIES.JSON file placed within that folder, using the appropriate parameters. Thank you.


you will have to re-create the policies.json file and the Distribution folder each time you upgrade or install a newer Firefox ESR version on top of the older one.

btw, support for Firefox 68.x ESR will end in late summer 2020 with the upcoming FF 68.12 ESR release

webmoebius
 
Posts: 244
Joined: January 21st, 2007, 12:52 pm

Post Posted June 24th, 2020, 2:02 am

4td8s wrote:you will have to re-create the policies.json file and the Distribution folder each time you upgrade or install a newer Firefox ESR version on top of the older one. btw, support for Firefox 68.x ESR will end in late summer 2020 with the upcoming FF 68.12 ESR release


Not a big deal. Just move the DISTRIBUTION folder out of the FF program folder prior to uninstallation, then uninstall the old version, install the new version and move the DISTRIBUTION folder back in. No need to recreate it. I never install over existing versions. I can't be bothered chasing after every little incremental minor version update release. I usually update software after more than one minor version release.

Return to Firefox Support


Who is online

Users browsing this forum: Google [Bot] and 6 guests